{ config, pkgs, ... }:

{
	programs.i3status-rust = {
		enable = true;
		bars = {
      main = {
        theme = "dracula";
        icons = "awesome";
        blocks = [
          {
            block = "time";
          }
          {
            block = "battery";
            allow_missing = true;
            hide_missing = true;
          }
          {
            block = "networkmanager";
            on_click = "alacritty -e nmtui";
            primary_only = true;
            ap_format = "{ssid}";
            device_format = "{icon}{ap}";
          }
          {
            block = "keyboard_layout";
          }
          {
            block = "notify";
          }
          {
            block = "music";
            player = "spotify";
            buttons = [ "prev" "play" "next" ];
          }
          {
            block = "sound";
          }
        ];
      };
		};
	};
}
